Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# CommunicatedBallState Class Reference

Reads a propagated ball state from a stream. More...

`#include <BallModel.h>`

Inheritance diagram for CommunicatedBallState:

[legend]
Collaboration diagram for CommunicatedBallState:

[legend]
List of all members.

## Public Member Functions
| CommunicatedBallState ()
| Constructor.
void | reset ()
| Resets all data of the ball position.
virtual void | serialize (In *in, Out *out)
## Public Attributes
unsigned long | timeWhenLastObserved
| Time when the observation was made by another robot.

## Detailed Description

Reads a propagated ball state from a stream.

Parameters:

  stream | The stream the ball state is read from.
  pbs | The ball state the read data is stored to.

Returns:
  Reference to the stream.

Definition at line 506 of file BallModel.h.

## Constructor & Destructor Documentation

CommunicatedBallState::CommunicatedBallState | ( |  | ) |

| Constructor. Definition at line 536 of file BallModel.cpp. References reset().

Here is the call graph for this function:

## Member Function Documentation

void CommunicatedBallState::reset | ( |  | ) |

| Resets all data of the ball position. Reimplemented from BallState. Definition at line 542 of file BallModel.cpp. References BallState::reset(), and timeWhenLastObserved. Referenced by CommunicatedBallState(), and BallModel::reset().

Here is the call graph for this function:

void CommunicatedBallState::serialize | ( | In * | in,
|  | Out * | out
| ) | `[virtual]`

| Reimplemented from BallState. Definition at line 547 of file BallModel.cpp. References STREAM, STREAM_BASE, STREAM_REGISTER_BEGIN, STREAM_REGISTER_FINISH, and timeWhenLastObserved.

## Member Data Documentation

unsigned long CommunicatedBallState::timeWhenLastObserved

| Time when the observation was made by another robot. Definition at line 525 of file BallModel.h. Referenced by GT2005TeamBallLocator::execute(), BallModel::getKnownBallState(), BallModel::getKnownPosition(), BallModel::getTimeSinceLastKnown(), GT2005BehaviorControl::preExecute(), reset(), and serialize().

The documentation for this class was generated from the following files:

- Representations/Cognition/BallModel.h
- Representations/Cognition/BallModel.cpp